# Variables for Observability Module

variable "environments" {
  description = "Map of all environments"
  type        = map(any)
}

variable "global_config" {
  description = "Global observability configuration"
  type        = map(any)
  default     = {}
}

variable "clusters" {
  description = "Map of clusters for observability"
  type = map(object({
    endpoint   = string
    kubeconfig = string
  }))
}

variable "tags" {
  description = "Tags to apply to resources"
  type        = map(string)
  default     = {}
}

